org.eclipse.jetty.server

## Class Dispatcher

- java.lang.Object
- - org.eclipse.jetty.server.Dispatcher

- All Implemented Interfaces:
    javax.servlet.RequestDispatcher

      public class Dispatcher
      extends java.lang.Object
      implements javax.servlet.RequestDispatcher

  Servlet RequestDispatcher.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `__FORWARD_PREFIX` Dispatch include attribute names
    `static java.lang.String` | `__INCLUDE_PREFIX` Dispatch include attribute names
    `static java.lang.String` | `__JSP_FILE` JSP attributes
    `static java.lang.String` | `ERROR_EXCEPTION`
    `static java.lang.String` | `ERROR_EXCEPTION_TYPE`
    `static java.lang.String` | `ERROR_MESSAGE`
    `static java.lang.String` | `ERROR_REQUEST_URI`
    `static java.lang.String` | `ERROR_SERVLET_NAME`
    `static java.lang.String` | `ERROR_STATUS_CODE`
    `static java.lang.String` | `FORWARD_CONTEXT_PATH`
    `static java.lang.String` | `FORWARD_PATH_INFO`
    `static java.lang.String` | `FORWARD_QUERY_STRING`
    `static java.lang.String` | `FORWARD_REQUEST_URI`
    `static java.lang.String` | `FORWARD_SERVLET_PATH`
    `static java.lang.String` | `INCLUDE_CONTEXT_PATH`
    `static java.lang.String` | `INCLUDE_PATH_INFO`
    `static java.lang.String` | `INCLUDE_QUERY_STRING`
    `static java.lang.String` | `INCLUDE_REQUEST_URI`
    `static java.lang.String` | `INCLUDE_SERVLET_PATH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Dispatcher(ContextHandler contextHandler, java.lang.String name)` Constructor.
    `Dispatcher(ContextHandler contextHandler, java.lang.String uri, java.lang.String pathInContext, java.lang.String query)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `error(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response)`
    `void` | `forward(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response)`
    `protected void` | `forward(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response, DispatcherType dispatch)`
    `void` | `include(javax.servlet.ServletRequest request, javax.servlet.ServletResponse response)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### FORWARD_REQUEST_URI

          public static final java.lang.String FORWARD_REQUEST_URI

      See Also:
        Constant Field Values

    - #### FORWARD_CONTEXT_PATH

          public static final java.lang.String FORWARD_CONTEXT_PATH

      See Also:
        Constant Field Values

    - #### FORWARD_PATH_INFO

          public static final java.lang.String FORWARD_PATH_INFO

      See Also:
        Constant Field Values

    - #### FORWARD_SERVLET_PATH

          public static final java.lang.String FORWARD_SERVLET_PATH

      See Also:
        Constant Field Values

    - #### FORWARD_QUERY_STRING

          public static final java.lang.String FORWARD_QUERY_STRING

      See Also:
        Constant Field Values

    - #### INCLUDE_REQUEST_URI

          public static final java.lang.String INCLUDE_REQUEST_URI

      See Also:
        Constant Field Values

    - #### INCLUDE_CONTEXT_PATH

          public static final java.lang.String INCLUDE_CONTEXT_PATH

      See Also:
        Constant Field Values

    - #### INCLUDE_PATH_INFO

          public static final java.lang.String INCLUDE_PATH_INFO

      See Also:
        Constant Field Values

    - #### INCLUDE_SERVLET_PATH

          public static final java.lang.String INCLUDE_SERVLET_PATH

      See Also:
        Constant Field Values

    - #### INCLUDE_QUERY_STRING

          public static final java.lang.String INCLUDE_QUERY_STRING

      See Also:
        Constant Field Values

    - #### ERROR_EXCEPTION

          public static final java.lang.String ERROR_EXCEPTION

      See Also:
        Constant Field Values

    - #### ERROR_EXCEPTION_TYPE

          public static final java.lang.String ERROR_EXCEPTION_TYPE

      See Also:
        Constant Field Values

    - #### ERROR_MESSAGE

          public static final java.lang.String ERROR_MESSAGE

      See Also:
        Constant Field Values

    - #### ERROR_REQUEST_URI

          public static final java.lang.String ERROR_REQUEST_URI

      See Also:
        Constant Field Values

    - #### ERROR_SERVLET_NAME

          public static final java.lang.String ERROR_SERVLET_NAME

      See Also:
        Constant Field Values

    - #### ERROR_STATUS_CODE

          public static final java.lang.String ERROR_STATUS_CODE

      See Also:
        Constant Field Values

    - #### __INCLUDE_PREFIX

          public static final java.lang.String __INCLUDE_PREFIX

      Dispatch include attribute names
      See Also:
        Constant Field Values

    - #### __FORWARD_PREFIX

          public static final java.lang.String __FORWARD_PREFIX

      Dispatch include attribute names
      See Also:
        Constant Field Values

    - #### __JSP_FILE

          public static final java.lang.String __JSP_FILE

      JSP attributes
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Dispatcher

          public Dispatcher(ContextHandler contextHandler,
                    java.lang.String uri,
                    java.lang.String pathInContext,
                    java.lang.String query)

      Parameters:
        `contextHandler` -
        `uri` -
        `pathInContext` -
        `query` -

    - #### Dispatcher

          public Dispatcher(ContextHandler contextHandler,
                    java.lang.String name)
                     throws java.lang.IllegalStateException

      Constructor.
      Parameters:
        `contextHandler` -
        `name` -
      Throws:
        `java.lang.IllegalStateException`

  - ### Method Detail

    - #### forward

          public void forward(javax.servlet.ServletRequest request,
                     javax.servlet.ServletResponse response)
                       throws javax.servlet.ServletException,
                              java.io.IOException

      Specified by:
        `forward` in interface `javax.servlet.RequestDispatcher`
      Throws:
        `javax.servlet.ServletException`
        `java.io.IOException`

    - #### error

          public void error(javax.servlet.ServletRequest request,
                   javax.servlet.ServletResponse response)
                     throws javax.servlet.ServletException,
                            java.io.IOException

      Throws:
        `javax.servlet.ServletException`
        `java.io.IOException`

    - #### include

          public void include(javax.servlet.ServletRequest request,
                     javax.servlet.ServletResponse response)
                       throws javax.servlet.ServletException,
                              java.io.IOException

      Specified by:
        `include` in interface `javax.servlet.RequestDispatcher`
      Throws:
        `javax.servlet.ServletException`
        `java.io.IOException`

    - #### forward

          protected void forward(javax.servlet.ServletRequest request,
                     javax.servlet.ServletResponse response,
                     DispatcherType dispatch)
                          throws javax.servlet.ServletException,
                                 java.io.IOException

      Throws:
        `javax.servlet.ServletException`
        `java.io.IOException`

Copyright © 2013 FuseSource, Corp.. All Rights Reserved.